// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain image from openclipart.org
// Original file name is: nicubunu_Comic_characters_Boy.svg

class Boy : public IHumanCharacterSideView
{
	public:
		
		// default constructor to register character, parts and decals
		Boy () : IHumanCharacterSideView ()
		{
			Register ( 300, 300, 150, 295 );

			RegisterPart ( RightArm, "boy/right_arm.svg", -23, -87, 41, 16 );
			RegisterPart ( RightLeg, "boy/right_leg.svg", -12, -15, 40, 8 );
			RegisterPart ( LeftLeg, "boy/left_leg.svg", 18, -15, 42, 6 );
			RegisterPart ( Body, "boy/body.svg", 0, -70, 49, 129 );		
			RegisterPart ( Head, "boy/head.svg", -5, -118, 50, 110 );
			RegisterPart ( RightEye, "boy/right_eye.svg", -35, -47, 15, 15 );		
			RegisterPart ( LeftEye, "boy/left_eye.svg", -14, -49, 15, 15 );			
			RegisterPart ( Mouth, "boy/mouth.svg", -20, -8, 30, 25 );				
			RegisterPart ( LeftArm, "boy/left_arm.svg", 25, -85, 20, 16 );

			Mouth.RegisterDecal ( "SPEAK_M", "boy/mouth_m.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "boy/mouth_e.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "boy/mouth_a.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "boy/mouth_o.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "boy/mouth_w.svg" );

			LeftEye.RegisterDecal ( "WINK1", "boy/left_eye_wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "boy/left_eye_wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "boy/right_eye_wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "boy/right_eye_wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mike", 0.5, 0.9, 1 );
		}
};
