// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class Fox : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Tail;

		// default constructor to register character, parts and decals
		Fox () : IHumanCharacterSideView ()
		{
			Tail.RegisterParent ( Body );

			Register ( 300, 300, 150, 280 );

			RegisterPart ( RightArm, "fox/RightArm.svg", -16, -80, 129, 111 );
			RegisterPart ( Tail, "fox/Tail.svg", 10, -11, 155, 180 );
			RegisterPart ( LeftLeg, "fox/LeftLeg.svg", 17, 25, 162, 216 );
			RegisterPart ( RightLeg, "fox/RightLeg.svg", -15, 26, 130, 217 );
			RegisterPart ( Body, "fox/Body.svg", -5, -89, 145, 191 );
			RegisterPart ( Head, "fox/Head.svg", 4, -104, 149, 87 );
			RegisterPart ( RightEye, "fox/RightEye.svg", -28, -30, 121, 57 );
			RegisterPart ( LeftEye, "fox/LeftEye.svg", 1, -32, 150, 55 );
			RegisterPart ( Mouth, "fox/Mouth.svg", -9, 10, 140, 97 );
			RegisterPart ( LeftArm, "fox/LeftArm.svg", 20, -80, 165, 111 );

			Mouth.RegisterDecal ( "SPEAK_M", "fox/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "fox/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "fox/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "fox/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "fox/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "fox/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "fox/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "fox/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "fox/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mary", 0.6, 0.8, 1 );
		}
};
