// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain image from openclipart.org
// Original file name is: Peileppe_Konrad_Chibi.svg

class Konrad : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Cape;

		// default constructor to register character, parts and decals
		Konrad () : IHumanCharacterSideView ()
		{
			Cape.RegisterParent ( Body );

			Register ( 400, 300, 242, 295 );

			RegisterPart ( Cape, "konrad/Cape.svg", 28, 21, 258, 221 );
			RegisterPart ( RightArm, "konrad/RightArm.svg", -19, -36, 211, 164 );
			RegisterPart ( RightLeg, "konrad/RightLeg.svg", -8, 10, 222, 210 );
			RegisterPart ( LeftLeg, "konrad/LeftLeg.svg", 19, 11, 249, 211 );
			RegisterPart ( Body, "konrad/Body.svg", -12, -95, 230, 200 );
			RegisterPart ( Head, "konrad/Head.svg", 6, -55, 236, 145 );
			RegisterPart ( LeftEye, "konrad/LeftEye.svg", 11, -46, 247, 99 );
			RegisterPart ( RightEye, "konrad/RightEye.svg", -33, -47, 203, 98 );
			RegisterPart ( Mouth, "konrad/Mouth.svg", -12, -4, 224, 141 );
			RegisterPart ( LeftArm, "konrad/LeftArm.svg", 25, -33, 255, 167 );

			Mouth.RegisterDecal ( "SPEAK_M", "konrad/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "konrad/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "konrad/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "konrad/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "konrad/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "konrad/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "konrad/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "konrad/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "konrad/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mike", 0.6, 0.6, 1 );
		}
};
