// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character was created by Web Cartoon Maker

class Leprechaun : public IHumanCharacterSideView
{
	public:

		// default constructor to register character, parts and decals
		Leprechaun () : IHumanCharacterSideView ()
		{
			Register ( 200, 200, 110, 175 );

			RegisterPart ( RightArm, "leprechaun/RightArm.svg", -13, -45, 94, 66 );
			RegisterPart ( RightLeg, "leprechaun/RightLeg.svg", -12, 6, 95, 117 );
			RegisterPart ( LeftLeg, "leprechaun/LeftLeg.svg", 9, 6, 116, 117 );
			RegisterPart ( Body, "leprechaun/Body.svg", -3, -64, 107, 111 );
			RegisterPart ( Head, "leprechaun/Head.svg", 5, -38, 112, 73 );
			RegisterPart ( Mouth, "leprechaun/Mouth.svg", -11, -8, 101, 65 );
			RegisterPart ( RightEye, "leprechaun/RightEye.svg", -17, -21, 95, 52 );
			RegisterPart ( LeftEye, "leprechaun/LeftEye.svg", -2, -22, 110, 51 );
			RegisterPart ( LeftArm, "leprechaun/LeftArm.svg", 28, -42, 135, 69 );

			Mouth.RegisterDecal ( "SPEAK_M", "leprechaun/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "leprechaun/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "leprechaun/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "leprechaun/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "leprechaun/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "leprechaun/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "leprechaun/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "leprechaun/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "leprechaun/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.6, 0.6, 1 );
		}
};
