// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class Princess : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Collar;

		// default constructor to register character, parts and decals
		Princess () : IHumanCharacterSideView ()
		{
			Collar.RegisterParent ( Body );

			Register ( 330, 330, 172, 326 );

			RegisterPart ( Collar, "princess/Collar.svg", -1, -112, 172, 83 );
			RegisterPart ( RightArm, "princess/RightArm.svg", -29, -105, 144, 90 );
			RegisterPart ( RightLeg, "princess/RightLeg.svg", -13, 28, 160, 223 );
			RegisterPart ( LeftLeg, "princess/LeftLeg.svg", 11, 24, 184, 219 );
			RegisterPart ( Body, "princess/Body.svg", 1, -131, 173, 195 );
			RegisterPart ( Head, "princess/Head.svg", -5, -128, 168, 67 );
			RegisterPart ( Mouth, "princess/Mouth.svg", -9, -9, 159, 58 );
			RegisterPart ( LeftEye, "princess/LeftEye.svg", -1, -28, 167, 39 );
			RegisterPart ( RightEye, "princess/RightEye.svg", -15, -29, 153, 38 );
			RegisterPart ( LeftArm, "princess/LeftArm.svg", 24, -106, 197, 89 );

			Mouth.RegisterDecal ( "SPEAK_M", "princess/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "princess/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "princess/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "princess/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "princess/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "princess/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "princess/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "princess/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "princess/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mary", 0.5, 0.8, 1 );
		}
};
