// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain image from openclipart.org
// Original file name is: 1300874944.svg

class Viking : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Nose;
		Part Helmet;
		Part Axe;

		// default constructor to register character, parts and decals
		Viking () : IHumanCharacterSideView ()
		{
			Nose.RegisterParent ( Head );
			Helmet.RegisterParent ( Head );
			Axe.RegisterParent ( LeftArm );

			Register ( 400, 400, 203, 382 );

			RegisterPart ( RightArm, "viking/RightArm.svg", -28, -77, 175, 107 );
			RegisterPart ( RightLeg, "viking/RightLeg.svg", -9, 23, 194, 207 );
			RegisterPart ( LeftLeg, "viking/LeftLeg.svg", 12, 25, 215, 209 );
			RegisterPart ( Body, "viking/Body.svg", 0, -198, 203, 184 );
			RegisterPart ( Head, "viking/Head.svg", -2, -73, 201, 111 );
			RegisterPart ( Mouth, "viking/Mouth.svg", -1, -19, 200, 92 );
			RegisterPart ( Nose, "viking/Nose.svg", 2, -34, 203, 77 );
			RegisterPart ( LeftEye, "viking/LeftEye.svg", 11, -57, 212, 54 );
			RegisterPart ( RightEye, "viking/RightEye.svg", -6, -58, 195, 53 );
			RegisterPart ( Helmet, "viking/Helmet.svg", 2, -66, 203, 45 );
			RegisterPart ( Axe, "viking/Axe.svg", -12, 152, 237, 267 );
			RegisterPart ( LeftArm, "viking/LeftArm.svg", 46, -69, 249, 115 );

			Mouth.RegisterDecal ( "SPEAK_M", "viking/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "viking/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "viking/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "viking/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "viking/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "viking/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "viking/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "viking/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "viking/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mike", 0.4, 0.4, 1 );
		}
};
