// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class Wolf : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Tail;
		Part RightEar;
		Part LeftEar;
		Part Hair;

		// default constructor to register character, parts and decals
		Wolf () : IHumanCharacterSideView ()
		{
			Tail.RegisterParent ( Body );
			RightEar.RegisterParent ( Head );
			LeftEar.RegisterParent ( Head );
			Hair.RegisterParent ( Head );

			Register ( 310, 310, 171, 309 );

			RegisterPart ( RightLeg, "wolf/RightLeg.svg", -19, 37, 149, 221 );
			RegisterPart ( Tail, "wolf/Tail.svg", 30, 20, 198, 204 );
			RegisterPart ( RightArm, "wolf/RightArm.svg", -1, -60, 167, 124 );
			RegisterPart ( Body, "wolf/Body.svg", -3, -125, 168, 184 );
			RegisterPart ( RightEar, "wolf/RightEar.svg", -25, -54, 135, 40 );
			RegisterPart ( Head, "wolf/Head.svg", -8, -90, 160, 94 );
			RegisterPart ( LeftEar, "wolf/LeftEar.svg", 19, -50, 179, 44 );
			RegisterPart ( Hair, "wolf/Hair.svg", -9, -63, 151, 31 );
			RegisterPart ( LeftLeg, "wolf/LeftLeg.svg", 16, 29, 184, 213 );
			RegisterPart ( RightEye, "wolf/RightEye.svg", -22, -31, 138, 63 );
			RegisterPart ( Mouth, "wolf/Mouth.svg", -18, -2, 142, 92 );
			RegisterPart ( LeftEye, "wolf/LeftEye.svg", -7, -33, 153, 61 );
			RegisterPart ( LeftArm, "wolf/LeftArm.svg", 6, -53, 174, 131 );

			Mouth.RegisterDecal ( "SPEAK_M", "wolf/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "wolf/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "wolf/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "wolf/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "wolf/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "wolf/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "wolf/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "wolf/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "wolf/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.4, 0.4, 1 );
		}
};
