// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain image from openclipart.org
// Original file name is: nicubunu_Comic_characters_Older.svg

class Grandpa : public IHumanCharacterSideView
{
	public:

		// default constructor to register character, parts and decals
		Grandpa () : IHumanCharacterSideView ()
		{
			Register ( 340, 340, 172, 339 );

			RegisterPart ( RightArm, "grandpa/RightArm.svg", -19, -76, 147, 143 );
			RegisterPart ( RightLeg, "grandpa/RightLeg.svg", -6, 11, 160, 230 );
			RegisterPart ( LeftLeg, "grandpa/LeftLeg.svg", 25, 11, 191, 230 );
			RegisterPart ( Body, "grandpa/Body.svg", -6, -120, 166, 219 );
			RegisterPart ( Head, "grandpa/Head.svg", -11, -104, 155, 115 );
			RegisterPart ( Mouth, "grandpa/Mouth.svg", -21, -1, 134, 114 );
			RegisterPart ( LeftEye, "grandpa/LeftEye.svg", -6, -51, 149, 64 );
			RegisterPart ( RightEye, "grandpa/RightEye.svg", -32, -51, 123, 64 );
			RegisterPart ( LeftArm, "grandpa/LeftArm.svg", 32, -74, 198, 145 );

			Mouth.RegisterDecal ( "SPEAK_M", "grandpa/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "grandpa/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "grandpa/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "grandpa/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "grandpa/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "grandpa/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "grandpa/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "grandpa/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "grandpa/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mike", 0.3, 0.2, 1 );
		}
};
