// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class Kolobok : public IHumanCharacterSideView
{
	public:

		// default constructor to register character, parts and decals
		Kolobok () : IHumanCharacterSideView ()
		{
			Register ( 300, 220, 157, 107 );

			RegisterPart ( RightArm, "kolobok/RightArm.svg", -71, -12, 84, 107 );
			RegisterPart ( RightLeg, "kolobok/RightLeg.svg", -22, 28, 133, 147 );
			RegisterPart ( Body, "kolobok/Body.svg", -2, 12, 155, 119 );
			RegisterPart ( LeftLeg, "kolobok/LeftLeg.svg", 34, 37, 189, 156 );
			RegisterPart ( Head, "kolobok/Head.svg", 4, -20, 159, 99 );
			RegisterPart ( Mouth, "kolobok/Mouth.svg", -14, 42, 145, 141 );
			RegisterPart ( RightEye, "kolobok/RightEye.svg", -48, -26, 111, 73 );
			RegisterPart ( LeftEye, "kolobok/LeftEye.svg", 15, -22, 174, 77 );
			RegisterPart ( LeftArm, "kolobok/LeftArm.svg", 76, 16, 231, 135 );

			Mouth.RegisterDecal ( "SPEAK_M", "kolobok/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "kolobok/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "kolobok/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "kolobok/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "kolobok/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "kolobok/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "kolobok/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "kolobok/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "kolobok/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mike", 0.6, 0.9, 1 );
		}
};
