// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class Queen : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Nose;
		Part Crown;

		// default constructor to register character, parts and decals
		Queen () : IHumanCharacterSideView ()
		{
			Nose.RegisterParent ( Head );
			Crown.RegisterParent ( Head );

			Register ( 360, 360, 179, 352 );

			RegisterPart ( RightLeg, "queen/RightLeg.svg", -5, -4, 168, 238 );
			RegisterPart ( LeftLeg, "queen/LeftLeg.svg", 28, -3, 201, 239 );
			RegisterPart ( RightArm, "queen/RightArm.svg", -8, -107, 165, 135 );
			RegisterPart ( Body, "queen/Body.svg", -6, -110, 173, 242 );
			RegisterPart ( Head, "queen/Head.svg", -1, -118, 172, 124 );
			RegisterPart ( LeftEye, "queen/LeftEye.svg", 4, -35, 176, 89 );
			RegisterPart ( RightEye, "queen/RightEye.svg", -19, -37, 153, 87 );
			RegisterPart ( Nose, "queen/Nose.svg", -13, -26, 159, 98 );
			RegisterPart ( Mouth, "queen/Mouth.svg", -10, -9, 162, 115 );
			RegisterPart ( Crown, "queen/Crown.svg", 5, -91, 177, 33 );
			RegisterPart ( LeftArm, "queen/LeftArm.svg", 38, -103, 211, 139 );

			Mouth.RegisterDecal ( "SPEAK_M", "queen/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "queen/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "queen/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "queen/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "queen/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "queen/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "queen/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "queen/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "queen/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mary", 0.5, 0.3, 1 );
		}
};
