// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain image from openclipart.org
// Original file name is: Peileppe_Sorcerer_Chibi.svg

class Sorcerer : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Back;
		Part Hair;

		// default constructor to register character, parts and decals
		Sorcerer () : IHumanCharacterSideView ()
		{
			Back.RegisterParent ( Body );
			Hair.RegisterParent ( Head );

			Register ( 400, 300, 207, 294 );

			RegisterPart ( RightArm, "sorcerer/RightArm.svg", -21, -64, 180, 152 );
			RegisterPart ( Back, "sorcerer/Back.svg", 6, 54, 207, 270 );
			RegisterPart ( RightLeg, "sorcerer/RightLeg.svg", -20, 11, 181, 227 );
			RegisterPart ( LeftLeg, "sorcerer/LeftLeg.svg", 21, 11, 222, 227 );
			RegisterPart ( Body, "sorcerer/Body.svg", -6, -78, 201, 216 );
			RegisterPart ( Head, "sorcerer/Head.svg", 0, -89, 201, 127 );
			RegisterPart ( Mouth, "sorcerer/Mouth.svg", -4, -10, 197, 117 );
			RegisterPart ( RightEye, "sorcerer/RightEye.svg", -25, -42, 176, 85 );
			RegisterPart ( LeftEye, "sorcerer/LeftEye.svg", 18, -42, 219, 85 );
			RegisterPart ( Hair, "sorcerer/Hair.svg", 5, -46, 206, 81 );
			RegisterPart ( LeftArm, "sorcerer/LeftArm.svg", 25, -62, 226, 154 );

			Mouth.RegisterDecal ( "SPEAK_M", "sorcerer/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "sorcerer/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "sorcerer/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "sorcerer/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "sorcerer/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "sorcerer/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "sorcerer/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "sorcerer/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "sorcerer/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.6, 0.6, 1 );
		}
};
